Glib::Param::GType(3pm)

NAME
Glib::Param::GType - Wrapper for type parameters in GLib

HIERARCHY
  Glib::ParamSpec
  +----Glib::Param::GType

DESCRIPTION
This object describes a parameter which holds the name of a class known to the GLib type system. The name of the class is considered to be the common ancestor for valid values. To create a param that allows any type name, specify "undef" for the package name. Beware, however, that although we say "any type name", this actually refers to any type registered with Glib; normal Perl packages will not work.

METHODS

  string or undef = $pspec_gtype->get_is_a_type
If "undef", then any class is allowed.

Since: glib 2.10

SEE ALSO
Glib, Glib::ParamSpec

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Glib for a full notice.